auth-refresh
Refresh the access token using a valid refresh token.
Request Body
TypeScript Definitions
Use the request body type in TypeScript.
A valid refresh token used to issue a new access token.
Response Headers
Request limit within the period.
Number of requests remaining in the current period.
Time at which the request limit resets.
Response Body
application/json
application/json
curl -X POST "https://api.ssi.com.vn/api/v3/auth/refresh" \ -H "Content-Type: application/json" \ -d '{ "refreshToken": "string" }'Success.
{
"tokenType": "Bearer",
"accessToken": "string",
"expiresAt": 1772075293023,
"refreshToken": "string",
"refreshExpiresAt": 1772075293023
}Invalid request.
{
"code": 400,
"msg": "apiKey is required"
}SSI API Overview
Overview of the FastConnect API ecosystem across Authentication, Trading, Market Data, Conditional Orders, and WebSocket.
auth-requestOtpPOST
Send a request to obtain an OTP for transaction authentication. For accounts with 2FA type SMS/Email, the OTP is sent to the registered email/phone number. For accounts with 2FA type SmartOTP, the customer receives an approval request on the iBoard mobile app and can use the returned `transactionId` to call `auth/token`.